/* 
	This file is part of PPPCOSTS, version 0.03.
	Copyright (c) 1996 Tillmann Steinbrecher.
	May be distributed according to the terms of the GNU
	General Public License version 2. No warranty.

	Modified by Anthony Dien Yiu Cheng
	<A.D.Y.Cheng@damtp.cam.ac.uk>

	This is the cost file for the Cambridge Cable Phone 
	Company, Cambridge, England.
	Local area prices.
	
	This might not be 100% accurate due to the different
	cost calculation, as this phone company uses different
	prices per unit instead of different unit lengths (?)

	Please modify this file for your phone company's prices
	and send it to tst@bigfoot.com. Thanks a lot! 
*/

#define COSTS_PER_UNIT 0.069

#define CURRENCY "UKpences "

#define DECIMALS "2"

int getunitlength(time_t tt){
	int unitsecs;
	struct tm* ct;
	ct=localtime(&tt);
	/*	printf(" It's %u o'clock.\n", ct->tm_hour); */
	if(*ctime(&tt)=='S'){  /* Smart way to check for weekends ;-) */
		
			
		if(ct->tm_hour < 8)	 	 	unitsecs=6;
		if(ct->tm_hour>=8 &&  ct->tm_hour<18)   unitsecs=6;
		if(ct->tm_hour> 18) 		        unitsecs=6;	

	} else {
	
		
		if(ct->tm_hour < 8)	 	 	unitsecs=6;
		if(ct->tm_hour>=8 &&  ct->tm_hour<18)   unitsecs=1.45;
		if(ct->tm_hour> 18) 		        unitsecs=6;	
        }
	return unitsecs;
 }

