/* 
	This file is part of PPPCOSTS, version 0.02.
	Copyright (c) 1996 Tillmann Steinbrecher.
	May be distributed according to the terms of the GNU
	General Public License version 2.

	Modified by BaLi of IBMPC
	<tothbali@lisa.njszki.hu>

 	This is the cost file for the Hungarian phone company MATAV.
	Local Area prices.
	
	Please modify this file for your phone company's prices
	and send it to tst@bigfoot.com. Thanks a lot! 
*/

#define COSTS_PER_UNIT 10.0

#define CURRENCY " Ft"

#define DECIMALS "2"

#define CURRENCY_AFTER_COST

int getunitlength(time_t tt){
	int unitsecs;
	struct tm* ct;
	/* Phone unit lengths for Hungarian Telephone Company (MATAV) - hardcoded. */
	ct=localtime(&tt);
	/*	printf(" It's %u o'clock.\n", ct->tm_hour); */
	if(*ctime(&tt)=='S'){  /* Smart way to check for weekends ;-) */
		
			
		if(ct->tm_hour>=5 &&  ct->tm_hour<22)   unitsecs=270;

	} else {
	
		
		if(((ct->tm_hour>=5 &&  ct->tm_hour<7)) || ((ct->tm_hour>=18 && ct->tm_hour<22))) unitsecs=270;
		if(((ct->tm_hour>=7 &&  ct->tm_hour<9)) || ((ct->tm_hour>=15 && ct->tm_hour<18))) unitsecs=130;
		if(ct->tm_hour>=9 &&  ct->tm_hour<15)   unitsecs= 90;

        }
        
	if(ct->tm_hour>= 22  || ct->tm_hour <5)  unitsecs=600;	
      		
	return unitsecs;
 }
	

